Subject: bug#63271: 29.0.90; broken mouse-face

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 May 2023 13:21:36 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 09 May 2023 12:07:25 +0200
> 
> When I carried out your instructions exactly, I was surprised to see
> that "TODO" showed mouse-face highlighting after typing `continue'.
> Then I ran my test outside of gdb and indeed, in *scratch* the
> problematic characters do show mouse-face highlighting, i.e. in
> lisp-interaction mode, but not in fundamental-mode.  Then I returned to
> gdb and redid your instructions but switched to a buffer in
> fundamental-mode before inserting the propertized string.  Here are the
> results:
> 
> Thread 1 "emacs" hit Breakpoint 3, show_mouse_face (
>     hlinfo=hlinfo@entry=0x555556145540, draw=draw@entry=DRAW_MOUSE_FACE)
>     at /home/steve/src/emacs/emacs-29/src/xdisp.c:33519
> 33519		      row->mouse_face_p
> (gdb) pgrow
> TEXT: 6 glyphs
>   0    0: CHAR[ ] pos=1 blev=0,btyp=L w=8 a+d=13+4 MB
>   1    8: CHAR[T] pos=2 blev=0,btyp=L w=8 a+d=13+4 face=24 MB
>   2   16: CHAR[O] pos=3 blev=0,btyp=L w=10 a+d=13+4 face=24 MB
>   3   26: CHAR[D] pos=4 blev=0,btyp=L w=10 a+d=13+4 face=24 MB
>   4   36: CHAR[O] pos=5 blev=0,btyp=L w=10 a+d=13+4 face=24 MB
>   5   46: CHAR[ ] pos=0 blev=0,btyp=B w=8 a+d=13+4 MB
> (gdb) continue
> Continuing.
> 
> Thread 1 "emacs" hit Breakpoint 3, show_mouse_face (hlinfo=0x555556145540,
>     draw=draw@entry=DRAW_MOUSE_FACE)
>     at /home/steve/src/emacs/emacs-29/src/xdisp.c:33519
> 33519		      row->mouse_face_p
> (gdb) pgrow
> TEXT: 6 glyphs
>   0    0: CHAR[ ] pos=1 blev=0,btyp=L w=8 a+d=13+4 MB
>   1    8: CHAR[T] pos=2 blev=0,btyp=L w=8 a+d=13+4 face=24 MB
>   2   16: CHAR[O] pos=3 blev=0,btyp=L w=10 a+d=13+4 face=24 MB
>   3   26: CHAR[D] pos=4 blev=0,btyp=L w=10 a+d=13+4 face=24 MB
>   4   36: CHAR[O] pos=5 blev=0,btyp=L w=10 a+d=13+4 face=24 MB
>   5   46: CHAR[ ] pos=0 blev=0,btyp=B w=8 a+d=13+4 MB

OK, thanks.  This is still OK, so please do this with the new
breakpoint as described in my other email.  It would be interesting to
see the difference between fundamental-mode and lisp-interaction-mode
with that second breakpoint.